<template>
  <div class="row mt-4 mb-2">
    <div class="col-lg-12 col-12">
      <div class="card box-shadow">
        <div class="card-header bg-white">
          <div class="col-12 text-left float-left pt-1 pl-0">
            <p class="d-inline text-blue">Other Payment Options</p>
          </div>
        </div>
        <div class="card-body scroll align-items-center">
          <div class="row card-body" v-for="(item, index) in items" v-bind:key="index">
            <div class="col-8 d-flex align-items-center">
              <input class="form-control" type="text" :placeholder="item.name" />
            </div>
            <div class="col-4">
              <img class="img-fluid" v-bind:src="item.url" />
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "PaymentOtherOpt",
  data() {
    return {
      items: [
        { name: "Alipay", url: require("@/assets/Alipay.svg") },
        { name: "Bancontact", url: require("@/assets/Bancontact.svg") },
        { name: "EPS", url: require("@/assets/EPS.svg") },
        { name: "Giropay", url: require("@/assets/Giropay.svg") },
        { name: "iDeal", url: require("@/assets/iDeal.svg") },
        { name: "Microsoftpay", url: require("@/assets/microsoftpay.svg") }
      ]
    };
  }
};
</script>

<style scoped lang="scss">
.card-body {
  padding: 0.25rem;
}
</style>